/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.update;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Represents a component
 * @version $Id: Component.java,v 1.1 2007/04/15 20:56:50 nichele Exp $
 */
public class Component {

    // -------------------------------------------------------------- Properties

    /**
     * The name of the component
     */
    private String name = null;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * The version of the component
     */
    private String version = null;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * The release date
     */
    private String releaseDate = null;

    public String getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(String releaseDate) {
        this.releaseDate = releaseDate;
    }

    /**
     * A short description of the component
     */
    private String shortDescription = null;

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    /**
     * A long description of the component
     */
    private String longDescription = null;

    public String getLongDescription() {
        return longDescription;
    }

    public void setLongDescription(String longDescription) {
        this.longDescription = longDescription;
    }

    /**
     * The url to download the component
     */
    private String url = null;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    // ------------------------------------------------------------ Constructors
    /** Creates a new instance of Component */
    public Component() {
    }

    /**
     * Returns a string representation of this component
     */
    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);
        sb.append("name"            , name);
        sb.append("version"         , version);
        sb.append("releaseDate"     , releaseDate);
        sb.append("shortDescription", shortDescription);
        sb.append("longDescription" , longDescription);
        sb.append("url"             , url);
        return sb.toString();
    }

}
